Page MenuHomePhabricator

Move HtmlFormatter into a separate Composer package
Closed, ResolvedPublic

Description

Some time ago, it ended up in core because we wanted to integrate some mobile support and because we wanted to share this library across several extensions, having no Composer support. It makes no sense to keep it where it currently is.

3 extensions currently depending on it would require an update:

  • CirrusSearch
  • MobileFrontend
  • TextExtracts

Details

Related Gerrit Patches:
mediawiki/extensions/LinkTarget : masterSwitch to librarized HtmlFormatter
mediawiki/extensions/MobileFrontend : masterSwitch to librarized HtmlFormatter
mediawiki/extensions/CirrusSearch : masterSwitch to librarized HtmlFormatter
mediawiki/extensions/TextExtracts : masterSwitch to librarized HtmlFormatter
mediawiki/core : masterSwitch to external HtmlFormatter
mediawiki/vendor : masterAdd HtmlFormatter
integration/docroot : masterdoc: Add HtmlFormatter
HtmlFormatter : masterInitial commit
integration/config : masterAdd HtmlFormatter

Event Timeline

MaxSem created this task.Jan 27 2016, 11:17 PM
MaxSem raised the priority of this task from to Needs Triage.
MaxSem updated the task description. (Show Details)
MaxSem added a subscriber: MaxSem.
Restricted Application added a project: Discovery. · View Herald TranscriptJan 27 2016, 11:17 PM
Restricted Application added subscribers: StudiesWorld, Aklapper. · View Herald Transcript
bd808 triaged this task as Low priority.Jan 28 2016, 6:12 PM
bd808 added a subscriber: bd808.
Danny_B moved this task from Unsorted to Move on the Technical-Debt board.Jan 30 2016, 12:29 AM

First step to make library-ifying easier is to move the HtmlFormatter class into libs, and audit it for any dependencies it might have on MW. After that, we just have to set up the library framework/boostrap, and boring stuff :)

Change 267391 had a related patch set uploaded (by MaxSem):
Initial commit

https://gerrit.wikimedia.org/r/267391

Forgot to link to this bug from the commit :)

Change 269530 had a related patch set uploaded (by MaxSem):
Add HtmlFormatter

https://gerrit.wikimedia.org/r/269530

Change 269530 merged by jenkins-bot:
Add HtmlFormatter

https://gerrit.wikimedia.org/r/269530

Now need to publish it on Packagist...

Now need to publish it on Packagist...

I can set that up for you as soon as the repo is replicated to GitHub. (404 for me at https://github.com/wikimedia/HtmlFormatter)

Now need to publish it on Packagist...

I can set that up for you as soon as the repo is replicated to GitHub. (404 for me at https://github.com/wikimedia/HtmlFormatter)

< bd808> ostriches: MaxSem's new repo doesn't seem to be replicated to GitHub -- https://gerrit.wikimedia.org/r/#/admin/projects/HtmlFormatter
<ostriches> bd808: creations aren't automatic anymore
<ostriches> Create and it'll replicate:)

bd808 created repository wikimedia/HtmlFormatter
2016-02-11 at 16:50

Change 267391 merged by jenkins-bot:
Initial commit

https://gerrit.wikimedia.org/r/267391

The repository is now replicated to github and I fixed the gerrit permissions on the repository so jenkins bot can merge there. :D

I think the only thing left before tagging a version is to fill out the "TODO Write stuff here" currently in the README ;-)

Change 270251 had a related patch set uploaded (by Legoktm):
doc: Add HtmlFormatter

https://gerrit.wikimedia.org/r/270251

Change 270251 merged by jenkins-bot:
doc: Add HtmlFormatter

https://gerrit.wikimedia.org/r/270251

I just realized that the API help in MediaWiki core depends upon this, so the library will need to become a mw core dependency as well.

Jdlrobson moved this task from Backlog to Tasks on the MobileFrontend board.Feb 18 2016, 6:40 PM
Jdlrobson moved this task from Tasks to Tech debt on the MobileFrontend board.Feb 18 2016, 6:43 PM

I'm waiting on T129435 because I want that ugly fallback HtmlFormatter employs to die.

Restricted Application added a project: Discovery-Search. · View Herald TranscriptApr 6 2016, 10:56 PM

Change 282831 had a related patch set uploaded (by MaxSem):
Add HtmlFormatter

https://gerrit.wikimedia.org/r/282831

Legoktm set Security to None.

Change 282831 merged by jenkins-bot:
Add HtmlFormatter

https://gerrit.wikimedia.org/r/282831

Change 283009 had a related patch set uploaded (by MaxSem):
Switch to external HtmlFormatter

https://gerrit.wikimedia.org/r/283009

Change 283009 merged by jenkins-bot:
Switch to external HtmlFormatter

https://gerrit.wikimedia.org/r/283009

Change 283122 had a related patch set uploaded (by MaxSem):
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283122

Change 283123 had a related patch set uploaded (by MaxSem):
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283123

Change 283124 had a related patch set uploaded (by MaxSem):
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283124

Change 283122 merged by jenkins-bot:
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283122

Change 283124 merged by jenkins-bot:
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283124

Change 283123 merged by jenkins-bot:
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283123

Change 283237 had a related patch set uploaded (by MaxSem):
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283237

MaxSem closed this task as Resolved.Apr 13 2016, 5:55 PM
MaxSem claimed this task.

All WMF-deployed stuff is done, one non-WMF extension is pending review.

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptApr 19 2016, 9:02 PM

Change 283237 merged by MaxSem:
Switch to librarized HtmlFormatter

https://gerrit.wikimedia.org/r/283237